Uploaded image for project: 'Contrib: SCORM Player'
  1. Contrib: SCORM Player
  2. SCO-149

Update SCORM Player submodules to use xml-apis

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: CLOSED
    • Priority: Blocker
    • Resolution: Non-Issue
    • Affects Version/s: 11.x
    • Fix Version/s: None
    • Component/s: impl, tool
    • Labels:
      None

      Description

      There have been several updates to the AntiSamy, Xerces and Xalan in core Sakai code in 11.x+. Due to these library updates, a class that is used by the SCORM player (ElementTraversal) has been moved to a new library: xml-apis.

      The impl and tool layers of the SCORM player need new references to this library, to continue using the aforementioned class.

      Please see KNL-1489, KNL-1531/KNL-1410, and KNL-1551 for more context.

        Gliffy Diagrams

          Zeplin

            Attachments

              Issue Links

                Activity

                  People

                  Assignee:
                  bjones86 Brian Jones
                  Reporter:
                  bjones86 Brian Jones
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved:

                      Git Integration